package com.hzya.frame.sysnew.person.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 人员表(SysPerson)实体类
 *
 * @author makejava
 * @since 2024-03-26 15:25:10
 */
public class SysPersonEntity extends BaseEntity {

    /**
     * 关联组织机构ID
     */
    private String organId;
    /**
     * 关联组织机构ID
     */
    private String organName;
    /**
     * 工号
     */
    private String personCode;
    /**
     * 人员姓名
     */
    private String personName;
    /**
     * 性别： 0女1男
     */
    private String sex;
    /**
     * 手机号码
     */
    private String mobilePhone;
    /**
     * 入职时间
     */
    private Date entryTime;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 学历
     */
    private String degreeId;
    /**
     * 职务
     */
    private String postId;
    /**
     * 级别
     */
    private String levelId;
    /**
     * 出生年月
     */
    private Date birthDay;
    /**
     * 固定电话
     */
    private String telPhone;
    /**
     * 籍贯
     */
    private String hometown;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 居住地址
     */
    private String address;
    /**
     * 离职时间
     */
    private Date leaveTime;
    /**
     * 人员状态0启用 1 停用
     */
    private String state;
    /**
     * 备注
     */
    private String remark;
    private String ddUserId;
    private String wxUserId;
    /**
     * 头像id
     */
    private String headImageId;
    /**
     * 公司id
     */
    private String companyId;


    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getPersonCode() {
        return personCode;
    }

    public void setPersonCode(String personCode) {
        this.personCode = personCode;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public Date getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(Date entryTime) {
        this.entryTime = entryTime;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getDegreeId() {
        return degreeId;
    }

    public void setDegreeId(String degreeId) {
        this.degreeId = degreeId;
    }

    public String getPostId() {
        return postId;
    }

    public void setPostId(String postId) {
        this.postId = postId;
    }

    public String getLevelId() {
        return levelId;
    }

    public void setLevelId(String levelId) {
        this.levelId = levelId;
    }

    public Date getBirthDay() {
        return birthDay;
    }

    public void setBirthDay(Date birthDay) {
        this.birthDay = birthDay;
    }

    public String getTelPhone() {
        return telPhone;
    }

    public void setTelPhone(String telPhone) {
        this.telPhone = telPhone;
    }

    public String getHometown() {
        return hometown;
    }

    public void setHometown(String hometown) {
        this.hometown = hometown;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Date getLeaveTime() {
        return leaveTime;
    }

    public void setLeaveTime(Date leaveTime) {
        this.leaveTime = leaveTime;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDdUserId() {
        return ddUserId;
    }

    public void setDdUserId(String ddUserId) {
        this.ddUserId = ddUserId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getHeadImageId() {
        return headImageId;
    }

    public void setHeadImageId(String headImageId) {
        this.headImageId = headImageId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }
}

